-- 商品基本属性テーブルの作品案内のみ変更 更新


CREATE OR REPLACE FUNCTION f_item_basic_attr_update_iteminfo(
    IN _itemcd         integer,

    IN _iteminfo   varchar,
    IN upduser     varchar,
    IN pc          varchar,

    OUT errcd      integer,
    OUT errmsg     varchar,
    OUT code       integer
    ) AS
$$
DECLARE
    cntcheck integer;
BEGIN
    --
    -- パラメータチェック
    --

    IF _itemcd IS NULL THEN
        RAISE EXCEPTION '引数 itemcd は必須です';
    END IF;
    IF upduser IS NULL THEN
        RAISE EXCEPTION '更新ユーザが指定されていません';
    END IF;

 --- 更新処理 ---

    -- 変更
    UPDATE t_item_basic_attr
       SET iteminfo    = _iteminfo,
           updusrnm    = upduser,
           updpcnm     = pc
     WHERE itemcd      = _itemcd;

    errcd := 1;
    errmsg := '成功';
    code := _itemcd;
    RETURN;

END;
$$
LANGUAGE 'plpgsql' VOLATILE;

